com.io7m.jpra.model.names

## Class UnionCaseName

- java.lang.Object
- - com.io7m.jpra.model.names.UnionCaseName

- All Implemented Interfaces:
    ModelElementType

      @Immutable
      public final class UnionCaseName
      extends Object
      implements ModelElementType

  The name of a union case.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionCaseName(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex, String in_value)` Construct a case name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.
    `String` | `getValue()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionCaseName

          public UnionCaseName(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> in_lex,
                               String in_value)

      Construct a case name.
      Parameters:
        `in_lex` - The lexical information for the name
        `in_value` - The raw string value

  - ### Method Detail

    - #### getValue

          public String getValue()

      Returns:
        The raw string value

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getLexicalInformation

          public Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Description copied from interface: `ModelElementType`
      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Specified by:
        `getLexicalInformation` in interface `ModelElementType`
      Returns:
        The original lexical information, if any

Copyright © 2015 <code@io7m.com> http://io7m.com